Jaguar I-Pace EV400 Forum banner
1 - 3 of 3 Posts

·
Administrator
Joined
·
2,783 Posts
You're not up to date. you need a dealer visit to update the connectivity to 19.2 and check on the BECS
Hint: think of something that gives you trouble; the dealer doesn't like it if you just want the updates without having some sort of issue
 

·
Administrator
Joined
·
2,783 Posts
I don't know why but I do know that this is what many people have experienced. Sometimes the dealer can enable SOTA remotely but updating from 16.2 to 19.2 seems to require a trip to the dealer.
 
1 - 3 of 3 Posts
Top